ru.bitel.bgbilling.modules.voice.api.common.utils

## Class VoiceCommonUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.voice.api.common.utils.VoiceCommonUtils

-     public class VoiceCommonUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceCommonUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `agetModeOn(Preferences setup)`
    `static <N extends VoiceBaseCodeBean<N>> java.util.List<N>` | `getDateSortedNormalizeList(java.util.List<N> list)`
    `static <N extends VoiceBaseCodeBean<N>> java.util.List<N>` | `insertInHistory(N item, java.util.List<N> history)`
    `static <N> N` | `readFromHolder(javax.xml.ws.Holder<javax.activation.DataHandler> data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceCommonUtils

          public VoiceCommonUtils()

  - ### Method Detail

    - #### readFromHolder

          public static <N> N readFromHolder(javax.xml.ws.Holder<javax.activation.DataHandler> data)
                                      throws java.io.IOException,
                                             java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### getDateSortedNormalizeList

          public static <N extends VoiceBaseCodeBean<N>> java.util.List<N> getDateSortedNormalizeList(java.util.List<N> list)

    - #### insertInHistory

          public static <N extends VoiceBaseCodeBean<N>> java.util.List<N> insertInHistory(N item,
                                                                                           java.util.List<N> history)
                                                                                    throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`

    - #### agetModeOn

          public static boolean agetModeOn(Preferences setup)